/*
Plugin Name: LinkShare Link Lookup		
Version: 0.2.0 for WordPress versions 2.9.2 through 
Plugin URI: http://www.wayner.org/wp/
Description: Use LinkShare's LinkFinder, CouponSnap and LinkGenerator services to pull up deals.
Author: Peter Wayner
Author URI: http://www.wayner.org/wp/

LinkShare Link Lookup
Copyright (C) 2005-2007 Rich Manalang -- Changes Copyright 2008-2010 Peter Wayner
Version 0.2  $Rev: 1 $ $Date: 2010-05-01  $

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your cption) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
USA
*/

var addImage=function(txt){tinyMCE.get('content').focus();
tinyMCE.activeEditor.selection.setContent(unescape(txt));}

 
var wpa2 = function() {
	var amazonRS = {};
	var pub = {};
        // public methods



        pub.process = function(rs) {
		amazonRS = rs;
		jQuery('#wpa-blended').remove();
		jQuery('#wpa-prod-img-preview').remove();
		var rslt = '';
		var items = '';
		var srchRsltMap = fo(rs.ItemSearchResponse.Items,'SearchResultsMap');
		try { srchRsltMap.sort(sbr) } catch (e) {}
		for (var i in srchRsltMap) {
			// only one category returned
			if (i == 'SearchIndex') var srchIdx = srchRsltMap[i];
			// multiple categories returned
			else var srchIdx = fo(srchRsltMap[i],'SearchIndex');
			if (srchIdx) {
				var items = getItems(srchIdx);
				if (items)
					rslt += '<dt>' + fo(srchIdx,'IndexName') 
						+ ' (' + fo(srchIdx,'Results') + ')'
						+ '</dt><dd>' + items + '</dd>';
			};
		};
		var rslt = '<dl id="wpa-blended">' + rslt + '</dl>';
		jQuery(rslt).appendTo('#wpa').Accordion({
			headerSelector: 'dt',
			panelSelector: 'dd',
			activeClass: 'wpa-accordian-active',
			hoverClass: 'wpa-accordian-hover',
			panelHeight: 274,
			speed: 300
		});
		jQuery('#wpa dt').css('cursor','default');
		jQuery('.wpa-prod tr:nth-child(odd)').css("background",'#E0E9EF');
		var navTimer = null;
		jQuery('.wpa-prod-img-other').click(
			function() {
				jQuery('#wpa-prod-img-preview').remove();
				var top = jQuery(this).offset().top + jQuery(this).height();
				var left = jQuery(this).offset().left - ((parseInt(jQuery(this).attr('wpawidth'))+12)/2);
				if (jQuery(this).offset().left + ((parseInt(jQuery(this).attr('wpawidth'))+12)/2) + 30 > 
					jQuery(window).width())
					var hOffset = 'right:5';
				else
					var hOffset = 'left:' + left;
				jQuery('<div id="wpa-prod-img-preview" style="top:' + top + 'px;' + hOffset + 'px">'
					+ '<img id="wpa-preview-close" src="../wp-content/plugins/linkshare-link-lookup/images/close.gif" alt="Close preview"/>'
					+ '<div><a href="' + jQuery(this).attr('wpaurl') + '" title="Click and drag this image to the post editor">'
					+ '<img src="' + jQuery(this).attr('href') + '" width="' + jQuery(this).attr('wpawidth') + 'px" />'
					+ '</a></div></div>').appendTo(document.body);
				jQuery('#wpa-preview-close').click(function() { jQuery('#wpa-prod-img-preview').remove() });
				return false;
			}
		);
		jQuery('.wpa-loading').remove();
	};
	
	pub.exec = function() {
		var q = jQuery('#wpa-q').val();
		if (!q) return false;
		if (wpa2AssociatesId) var assocTag = '&AssociateTag=' + wpa2AssociatesId;
		else var assocTag = '';
		var url = baseUrl + q + assocTag + '&noCacheIE=' + (new Date()).getTime();
		jQuery('<div id="wpa-loading" class="wpa-loading">Loading...<div>').appendTo(document.body);
		jQuery('#wpa-script').remove();

		var scriptObj = document.createElement("script");
	        scriptObj.setAttribute("type", "text/javascript");
	        scriptObj.setAttribute("charset", "utf-8");
	        scriptObj.setAttribute("src", url);
	        scriptObj.setAttribute("id", "wpa-script");
		document.getElementsByTagName("head").item(0).appendChild(scriptObj);
		return false;
	};
	return pub;
};


processLinkshare=function()
   {
    //$("#lsans").html("...One Moment Please...");
     $("#lsans").append('<div id="lsmore"></div>')
                    .children("#lsmore").hide()
                    .load("http://feed.linksynergy.com/createcustomlink.shtml ul#favoriteMovies", function()
                     {

                      $("#lsmore").slideDown("slow");
                     });
   return false;
   
}


var findElementByIdPrefix=function(root, elementTagName,prefix){
   var x=root.getElementsByTagName(elementTagName);
   for (i=0;i<x.length;i++)  { 
      if (x[i].id.indexOf(prefix)==0){
        return x[i];
      }       
    }
  return null;
}



jQuery(function() {
	jQuery('<div id="wpa-container"><div id="wpa">'
                + '<b> LinkShare Link Lookup  </b><br> <i> Turn products from LinkShare  advertiser\'s site into revenue!</i>'
                + '<br> Begin by choosing a advertiser: <form> '
                +"  <select id='merchant' name='merchant'>"
               +"<option value='122'>1-800-FLOWERS.COM</option>"
 +"<option value='147'>1-800-PetMeds</option>"
 +"<option value='194'>3balls Golf</option>"
 +"<option value='216'>4 All Memory</option>"
 +"<option value='732'>49ers.com</option>"
 +"<option value='768'>4Imprint CA</option>"
 +"<option value='773'>A Matter of Fax</option>"
 +"<option value='775'>Abahna</option>"
 +"<option value='781'>ABC Distributing LLC</option>"
 +"<option value='788'>ABetterStay.com</option>"
 +"<option value='815'>Acadient and Boston Institute of Finance</option>"
 +"<option value='926'>Ace Hardware </option>"
 +"<option value='939'>Adorn.com</option>"
 +"<option value='982'>AHAVA</option>"
 +"<option value='1065'>Alford and Hoff</option>"
 +"<option value='1106'>Alibris UK: Books, Music, & Movies</option>"
 +"<option value='1110'>Alibris: Books, Music, & Movies</option>"
 +"<option value='1142'>AllergyStore.com (drugstore.com)</option>"
 +"<option value='1145'>Alloy.com</option>"
 +"<option value='1154'>Always At Market Inc.</option>"
 +"<option value='1155'>Amanda Wakeley</option>"
 +"<option value='1165'>AmericaRx.com</option>"
 +"<option value='1189'>AmeriMark.com</option>"
 +"<option value='1237'>Andrew Christian</option>"
 +"<option value='1263'>Angara Inc.</option>"
 +"<option value='1280'>Anna Scholz Ltd</option>"
 +"<option value='1479'>Antique Rivet</option>"
 +"<option value='1493'>Apothica LLC</option>"
 +"<option value='1519'>Appetizerstogo.com</option>"
 +"<option value='1565'>Apple Bottoms (eFashions)</option>"
 +"<option value='1617'>Apple iTunes</option>"
 +"<option value='1623'>Aqua Superstore</option>"
 +"<option value='1674'>Artbox.co.uk</option>"
 +"<option value='1695'>Artful Home</option>"
 +"<option value='1697'>Artistic Labels</option>"
 +"<option value='1716'>As We Change</option>"
 +"<option value='1787'>ASOS.com USA</option>"
 +"<option value='1805'>Aspinal of London (US)</option>"
 +"<option value='1825'>AT&T</option>"
 +"<option value='1845'>athisbest.com (drugstore.com, inc)</option>"
 +"<option value='1866'>Atom Entertainment </option>"
 +"<option value='1947'>Austique</option>"
 +"<option value='1961'>Auto Parts Warehouse</option>"
 +"<option value='1985'>Autoparts123.com</option>"
 +"<option value='2025'>Autos.com</option>"
 +"<option value='2043'>Avon</option>"
 +"<option value='2047'>Avon Canada</option>"
 +"<option value='2065'>Avon UK</option>"
 +"<option value='2069'>B&T Factory Direct</option>"
 +"<option value='2071'>B2C Jewels </option>"
 +"<option value='2101'>Babies R Us</option>"
 +"<option value='2119'>Baby Phat (eFashion Solutions)</option>"
 +"<option value='2142'>baby star</option>"
 +"<option value='2149'>Baby Universe</option>"
 +"<option value='2194'>Backyard Ocean</option>"
 +"<option value='2208'>Bake Me  A Wish</option>"
 +"<option value='2274'>Balsam Hill LLC</option>"
 +"<option value='2291'>Bangalla - TuckerBags </option>"
 +"<option value='2293'>Bare Necessities</option>"
 +"<option value='2305'>BD Wedding Favors</option>"
 +"<option value='2311'>Beautorium.com</option>"
 +"<option value='2337'>Beauty.com</option>"
 +"<option value='2393'>BeCheeky.com</option>"
 +"<option value='2417'>BedHead Pajamas</option>"
 +"<option value='2456'>Benefit Cosmetics (UK)</option>"
 +"<option value='2488'>Benefit Cosmetics LLC</option>"
 +"<option value='2504'>Beyond the Rack</option>"
 +"<option value='2617'>Bidz, Inc.</option>"
 +"<option value='2637'>Black.co.uk</option>"
 +"<option value='2640'>Blinds.com</option>"
 +"<option value='2652'>Bliss World, LLC</option>"
 +"<option value='2653'>Blitz Sport</option>"
 +"<option value='2661'>Bloomingdale's</option>"
 +"<option value='2678'>Blooms Today </option>"
 +"<option value='2692'>Blossom Mother and Child Ltd</option>"
 +"<option value='2736'>blueinc.co.uk</option>"
 +"<option value='2750'>Bobbi Brown Cosmetics</option>"
 +"<option value='2762'>Boca Java, Inc.</option>"
 +"<option value='2792'>Brastop Limited</option>"
 +"<option value='2808'>Browns Fashion</option>"
 +"<option value='2829'>Buckle.com</option>"
 +"<option value='2836'>Cafe Britt</option>"
 +"<option value='2848'>Cambridge SoundWorks</option>"
 +"<option value='2898'>Camping World</option>"
 +"<option value='2901'>CarRentals, LLC</option>"
 +"<option value='2904'>Cascio Interstate Music</option>"
 +"<option value='2920'>Casual Living</option>"
 +"<option value='2948'>Casual Male Retail Group Inc.</option>"
 +"<option value='2984'>Casual Male XL</option>"
 +"<option value='3002'>Cath Kidston Ltd.</option>"
 +"<option value='3004'>CCA Occasions Ltd. UK</option>"
 +"<option value='3026'>CCL COMPUTERS LIMITED</option>"
 +"<option value='3071'>CCS.com</option>"
 +"<option value='3085'>Champions On Display</option>"
 +"<option value='3088'>Champs Sports</option>"
 +"<option value='3096'>Charles Tyrwhitt</option>"
 +"<option value='3176'>Charles Tyrwhitt UK</option>"
 +"<option value='3178'>Chase (JPMorgan Chase & Co.)</option>"
 +"<option value='3184'>CheapOair.com</option>"
 +"<option value='3192'>CheapOstay</option>"
 +"<option value='3200'>CheapTickets</option>"
 +"<option value='3248'>Chemistry.com</option>"
 +"<option value='3307'>Cherrybrook</option>"
 +"<option value='3318'>Cheryl & Co. </option>"
 +"<option value='3332'>Chico's </option>"
 +"<option value='3342'>Chocolate Covered Berries</option>"
 +"<option value='3346'>Chocolate.com</option>"
 +"<option value='3348'>Christopher & Banks</option>"
 +"<option value='3382'>Chronicle Books</option>"
 +"<option value='3383'>CJ Banks</option>"
 +"<option value='3432'>Clinique Online</option>"
 +"<option value='3434'>CoastalContacts.com</option>"
 +"<option value='3436'>Coffees of Hawaii</option>"
 +"<option value='3437'>Colorful Images</option>"
 +"<option value='3446'>Comodo </option>"
 +"<option value='3454'>CompUSA</option>"
 +"<option value='3458'>Computers4SURE </option>"
 +"<option value='3467'>CookiesKids </option>"
 +"<option value='3470'>Cost Plus World Market</option>"
 +"<option value='3476'>Country Store Catalog </option>"
 +"<option value='13504'>Crocs, Inc.</option>"
 +"<option value='13505'>Crutchfield Corporation</option>"
 +"<option value='13508'>Cult Beauty Ltd.</option>"
 +"<option value='13529'>CurlFriends </option>"
 +"<option value='13544'>Current Catalog</option>"
 +"<option value='13565'>Current Labels</option>"
 +"<option value='13568'>Cutter and Buck, Inc.</option>"
 +"<option value='13585'>CWI Medical</option>"
 +"<option value='13589'>David's Cookies </option>"
 +"<option value='13602'>Decorative Product Source</option>"
 +"<option value='13622'>dELiA*s</option>"
 +"<option value='13630'>Dell Canada Inc</option>"
 +"<option value='13638'>Delta Force Paintball</option>"
 +"<option value='13668'>Dereon (eFashion Solutions)</option>"
 +"<option value='13669'>DERMAdoctor.com, Inc.</option>"
 +"<option value='13745'>Designers Guild Ltd.</option>"
 +"<option value='13770'>DHC Skincare</option>"
 +"<option value='13772'>DHC Skincare Canada</option>"
 +"<option value='13798'>DHC Skincare UK</option>"
 +"<option value='13816'>Diamonds International</option>"
 +"<option value='13824'>DinoDirect</option>"
 +"<option value='13828'>diViene.com</option>"
 +"<option value='13867'>Doheny's Water Warehouse LLC</option>"
 +"<option value='13875'>Dollar Rent-a-Car, Inc.</option>"
 +"<option value='13882'>drugstore.com</option>"
 +"<option value='13883'>drugstore.com, inc. (Canada Program)</option>"
 +"<option value='13892'>drugstore.com, inc. (sexual well being)</option>"
 +"<option value='13904'>Duke Diet</option>"
 +"<option value='13914'>DunhamsSports.com</option>"
 +"<option value='13922'>eastbay.com</option>"
 +"<option value='13923'>EASTWESTWORLDWIDE.com</option>"
 +"<option value='13930'>Easy Comforts (Miles Kimball Company)</option>"
 +"<option value='13946'>eBags, Inc.</option>"
 +"<option value='13956'>Electronics-Expo.com</option>"
 +"<option value='13962'>Elegance Fashion and Design UK Ltd </option>"
 +"<option value='13970'>Elemis</option>"
 +"<option value='13974'>Enterprise Rent-A-Car</option>"
 +"<option value='13979'>Equal Exchange, Inc </option>"
 +"<option value='13988'>ESPN Shop</option>"
 +"<option value='13997'>eSportsonline</option>"
 +"<option value='14005'>etoys.com (GSI)</option>"
 +"<option value='14029'>Exposures (Miles Kimball Company)</option>"
 +"<option value='14033'>Extended Stay Hotels</option>"
 +"<option value='14056'>FADS</option>"
 +"<option value='14060'>Faith Shoe Group Ltd</option>"
 +"<option value='14063'>Fanzz.com</option>"
 +"<option value='14080'>FAO Schwarz</option>"
 +"<option value='14089'>Fashion Union</option>"
 +"<option value='14109'>FastFloors</option>"
 +"<option value='14112'>FavorAffair.com (The Shops at 24Seven)</option>"
 +"<option value='14119'>Feelfit Ltd.</option>"
 +"<option value='14120'>Fenn Wright Manson </option>"
 +"<option value='14121'>Figis, Inc.</option>"
 +"<option value='14125'>FIJI Water Company</option>"
 +"<option value='14129'>Fingerhut Direct Marketing, Inc</option>"
 +"<option value='14130'>Firebugdiamonds.com</option>"
 +"<option value='14131'>Fleurop-Interflora EBC AG</option>"
 +"<option value='14138'>Fleurop.com</option>"
 +"<option value='14144'>Florsheim</option>"
 +"<option value='14152'>Focus28, Inc.</option>"
 +"<option value='14154'>Foot Action (Footlocker)</option>"
 +"<option value='24176'>Foot Petals</option>"
 +"<option value='24184'>Footlocker.com</option>"
 +"<option value='24193'>Footnote.com</option>"
 +"<option value='24194'>Footwear etc.</option>"
 +"<option value='24196'>FORZIERI.com</option>"
 +"<option value='24198'>Fossil Partners, L.P.</option>"
 +"<option value='24213'>Fossil UK Ltd  </option>"
 +"<option value='24220'>FragranceNet.com</option>"
 +"<option value='24221'>Franklin Mint</option>"
 +"<option value='24222'>Frederick's of Hollywood, Inc.</option>"
 +"<option value='24223'>French Connection Limited</option>"
 +"<option value='24228'>FTPress.com (Pearson Education)</option>"
 +"<option value='24242'>Fujitsu America, Inc.</option>"
 +"<option value='24243'>Funny T Shirts Inc.</option>"
 +"<option value='24250'>fye.com</option>"
 +"<option value='24266'>Gaiam - As Seen on TV</option>"
 +"<option value='24278'>Gaiam Subscription Clubs</option>"
 +"<option value='24285'>Gaiam.com, Inc</option>"
 +"<option value='24290'>Gameduell Inc.</option>"
 +"<option value='24291'>Gardener's Supply Company</option>"
 +"<option value='24302'>Gene Smart Wellness</option>"
 +"<option value='24308'>Gettington </option>"
 +"<option value='24312'>Getzs.com</option>"
 +"<option value='24315'>GiftBaskets.com, Inc.</option>"
 +"<option value='24318'>GigaGolf, Inc.</option>"
 +"<option value='24340'>giggle</option>"
 +"<option value='24346'>Glassesshop.com, Inc.</option>"
 +"<option value='24352'>GNC / General Nutrition Centers</option>"
 +"<option value='24356'>GO SMiLE</option>"
 +"<option value='24358'>Golden State Fruit</option>"
 +"<option value='24359'>Goldsmiths Ltd.</option>"
 +"<option value='24364'>Goldsmiths Outlet </option>"
 +"<option value='24366'>Golfballs.com</option>"
 +"<option value='24380'>Goodwill Too</option>"
 +"<option value='24390'>Gordon's Jewelers</option>"
 +"<option value='24395'>GourmetGiftBaskets.com</option>"
 +"<option value='24404'>Greensbury Market</option>"
 +"<option value='24416'>Guthy Renker Corporation</option>"
 +"<option value='24419'>Hamleys of London Ltd</option>"
 +"<option value='24427'>HandHelditems</option>"
 +"<option value='24432'>Hanes.com</option>"
 +"<option value='24434'>Hanna Andersson</option>"
 +"<option value='24450'>Hatley </option>"
 +"<option value='24452'>Hawaiian Airlines</option>"
 +"<option value='24488'>Health to Happiness </option>"
 +"<option value='24489'>HearthSong</option>"
 +"<option value='24490'>Hello Direct, Inc.</option>"
 +"<option value='24503'>HerRoom</option>"
 +"<option value='24509'>Hickory Farms</option>"
 +"<option value='24511'>Highlights for Children</option>"
 +"<option value='24515'>HisRoom</option>"
 +"<option value='24516'>Holiday Classics </option>"
 +"<option value='24517'>Holland USA, Inc.</option>"
 +"<option value='24518'>Home Furniture Land</option>"
 +"<option value='24519'>Homestead an Intuit Co.</option>"
 +"<option value='24520'>Honest Florist</option>"
 +"<option value='24522'>Horchow.com</option>"
 +"<option value='24525'>HostelBookers.com Ltd. (Canada Program)</option>"
 +"<option value='24532'>Hotelclub.com</option>"
 +"<option value='24538'>Hotwire </option>"
 +"<option value='24542'>House of Fraser Ltd</option>"
 +"<option value='24550'>Hudson Reed</option>"
 +"<option value='24553'>iBuyOfficesupply.ca</option>"
 +"<option value='24568'>iBuyOfficesupply.com</option>"
 +"<option value='24572'>ICE.com</option>"
 +"<option value='24575'>Identity Direct</option>"
 +"<option value='24591'>Identity Direct UK</option>"
 +"<option value='24592'>ihampers.co.uk</option>"
 +"<option value='24594'>Improvement Direct</option>"
 +"<option value='24605'>In The Hole Golf</option>"
 +"<option value='24611'>InformIT (Pearson Education)</option>"
 +"<option value='24618'>InstantCarLoan.com</option>"
 +"<option value='24650'>Instawares LLC</option>"
 +"<option value='24653'>Internet Florist</option>"
 +"<option value='24659'>Internet MegaMeeting, LLC</option>"
 +"<option value='24664'>Interstate Batteries.com</option>"
 +"<option value='24666'>Intrepid Travel (Intrepid Guerba)</option>"
 +"<option value='24671'>Invitations by Dawn Canada</option>"
 +"<option value='24673'>Iolo technologies, LLC </option>"
 +"<option value='24674'>Isabella Oliver Ltd </option>"
 +"<option value='24676'>Isabella Oliver Ltd. (Canada)</option>"
 +"<option value='24709'>Isabella Oliver Ltd. (US)</option>"
 +"<option value='24714'>iTeleCenter (COA Network)</option>"
 +"<option value='24724'>iWin, Inc.</option>"
 +"<option value='24747'>J&R Computer/Music World</option>"
 +"<option value='24751'>Jaeger</option>"
 +"<option value='24752'>JCPenney</option>"
 +"<option value='24754'>Jelly Belly</option>"
 +"<option value='24765'>JewelryWeb.com Inc</option>"
 +"<option value='24775'>Jillian Michaels</option>"
 +"<option value='24776'>Joe's Sports</option>"
 +"<option value='24777'>JoyBauer.com</option>"
 +"<option value='24791'>JUARA Skincare</option>"
 +"<option value='24797'>Just Because Baskets</option>"
 +"<option value='24798'>Kaplan Test Prep  (Kaptest.com)</option>"
 +"<option value='24803'>Karen Millen Fashions Limited</option>"
 +"<option value='24804'>Karmaloop.com</option>"
 +"<option value='24808'>Keebra</option>"
 +"<option value='24809'>King.com (Midasplayer.com Ltd.)</option>"
 +"<option value='24823'>Kipling USA </option>"
 +"<option value='24827'>Kitchen Universe LLC</option>"
 +"<option value='24845'>KL Sport </option>"
 +"<option value='24862'>Knetgolf.com</option>"
 +"<option value='24863'>Knewton, Inc.</option>"
 +"<option value='24911'>Kosher.com </option>"
 +"<option value='24918'>Kuati Ltd.</option>"
 +"<option value='24921'>Kurt Geiger Ltd. </option>"
 +"<option value='24922'>L'Occitane</option>"
 +"<option value='24928'>L'Occitane UK</option>"
 +"<option value='24929'>La Quinta Corporation</option>"
 +"<option value='24930'>Lab Series</option>"
 +"<option value='24937'>Lakeside Collection</option>"
 +"<option value='24943'>LampsPlus.com</option>"
 +"<option value='24953'>Lancome Canada</option>"
 +"<option value='24954'>Lands End UK</option>"
 +"<option value='24969'>Lands' End Inc</option>"
 +"<option value='24972'>Lane Bryant</option>"
 +"<option value='24973'>Laura Ashley Ltd</option>"
 +"<option value='24988'>Lavera Skin Care</option>"
 +"<option value='24990'>Layla Grayce </option>"
 +"<option value='24995'>Leanin Tree</option>"
 +"<option value='25000'>LeapFrog Enterprises Inc.</option>"
 +"<option value='25001'>LEGO Brand Retail</option>"
 +"<option value='25002'>LEGO Company Ltd</option>"
 +"<option value='25004'>Leonisa</option>"
 +"<option value='25008'>Lighting By Gregory</option>"
 +"<option value='25015'>Lillian Vernon Online</option>"
 +"<option value='25020'>Limoges Jewelry</option>"
 +"<option value='25026'>LinenSource, Inc.</option>"
 +"<option value='25027'>Lingerie.com</option>"
 +"<option value='25028'>Liquidation Channel</option>"
 +"<option value='25033'>Livingxl.com </option>"
 +"<option value='25038'>LOMBOK</option>"
 +"<option value='25039'>LTD Commodities LLC</option>"
 +"<option value='25040'>Lucky Brand Jeans</option>"
 +"<option value='25046'>Lucy Activewear</option>"
 +"<option value='25047'>Luggage OnLine</option>"
 +"<option value='25065'>Lumber Liquidators</option>"
 +"<option value='25070'>macys.com</option>"
 +"<option value='25073'>Magazineline.com</option>"
 +"<option value='25077'>Magazines.com, Inc.</option>"
 +"<option value='25086'>MagicKitchen.com</option>"
 +"<option value='25087'>Manhattanite</option>"
 +"<option value='25092'>Marie-Chantal Ltd</option>"
 +"<option value='25098'>MarketingProfs</option>"
 +"<option value='25102'>Martha Stewart for 1-800-Flowers</option>"
 +"<option value='25112'>Match.com</option>"
 +"<option value='35118'>Matches</option>"
 +"<option value='35119'>Maurices</option>"
 +"<option value='35126'>MC Sports</option>"
 +"<option value='35127'>McAfee Canada</option>"
 +"<option value='35132'>McAfee, Inc</option>"
 +"<option value='35133'>Memorable Gifts</option>"
 +"<option value='35135'>MenScience</option>"
 +"<option value='35137'>Mercantila</option>"
 +"<option value='35141'>MetroPCS, Inc.</option>"
 +"<option value='35148'>Microsoft Store</option>"
 +"<option value='35150'>Miles Kimball Company</option>"
 +"<option value='35151'>Miss Selfridge </option>"
 +"<option value='35152'>MLB.com Shop</option>"
 +"<option value='35154'>Modern Furniture Warehouse</option>"
 +"<option value='35157'>Mondera.com, Inc.</option>"
 +"<option value='35158'>Monster Parties Ltd</option>"
 +"<option value='35164'>Mountain Gear, Inc.</option>"
 +"<option value='35171'>Mrs. Fields Gifts, Inc</option>"
 +"<option value='35173'>MrWatch</option>"
 +"<option value='35174'>MTV Networks, Inc.</option>"
 +"<option value='35183'>Music Factory Direct</option>"
 +"<option value='35189'>Musicnotes.com</option>"
 +"<option value='35193'>MusicSpace.com</option>"
 +"<option value='35196'>My Wines Direct</option>"
 +"<option value='35197'>Myflavia.com (Mars Drinks)</option>"
 +"<option value='35205'>MyJean M </option>"
 +"<option value='35207'>NAME</option>"
 +"<option value='35212'>Napster, LLC</option>"
 +"<option value='35216'>NASCAR Superstore</option>"
 +"<option value='35224'>National Business Furniture, Inc</option>"
 +"<option value='35226'>National Wildlife Federation </option>"
 +"<option value='35227'>Nautica Retail USA, Inc. </option>"
 +"<option value='35230'>NBAStore.com</option>"
 +"<option value='35233'>NFLShop.com</option>"
 +"<option value='35237'>Nick Chavez Beverly Hills</option>"
 +"<option value='35241'>Nickelodeon Shop</option>"
 +"<option value='35243'>Noodle & Boo, LLC</option>"
 +"<option value='35251'>NORDSTROM.com</option>"
 +"<option value='35262'>Nu-Kitchen</option>"
 +"<option value='35264'>Nunn Bush</option>"
 +"<option value='35267'>NutriSystem, Inc.</option>"
 +"<option value='35268'>Oasis Fashions Limited</option>"
 +"<option value='35269'>OCInkjet.com</option>"
 +"<option value='35277'>Office Depot, Inc</option>"
 +"<option value='35286'>Officefurniture.com</option>"
 +"<option value='35290'>Oliver Bonas Ltd</option>"
 +"<option value='35291'>OmahaSteaks.com, Inc.</option>"
 +"<option value='35302'>OneTravel.com</option>"
 +"<option value='35321'>Onlineshoes.com</option>"
 +"<option value='35329'>Orange County Choppers (eFashion)</option>"
 +"<option value='35331'>Orbitz</option>"
 +"<option value='35332'>Origins Online</option>"
 +"<option value='35336'>OrionGadgets.com</option>"
 +"<option value='35337'>Palmbeachjewelry.com</option>"
 +"<option value='35349'>Paul Fredrick MenStyle</option>"
 +"<option value='35352'>PCSecurityShield</option>"
 +"<option value='35361'>PeachPit (Pearson Education)</option>"
 +"<option value='35371'>Peapod LLC</option>"
 +"<option value='35372'>Pear Tree Greetings </option>"
 +"<option value='35379'>Perfectmatch.com</option>"
 +"<option value='35382'>Perfume Worldwide, Inc</option>"
 +"<option value='35383'>Personal Creations</option>"
 +"<option value='35386'>PersonalizationMall.com</option>"
 +"<option value='35394'>PetMountain.com</option>"
 +"<option value='35395'>PetSmart</option>"
 +"<option value='35418'>PexSupply</option>"
 +"<option value='35419'>Phat Farm (eFashion Solutions)</option>"
 +"<option value='35420'>PhotoWorks</option>"
 +"<option value='35424'>Pingo</option>"
 +"<option value='35431'>Pitney Bowes, Inc.</option>"
 +"<option value='35433'>PJ Outlet</option>"
 +"<option value='35437'>Plow & Hearth </option>"
 +"<option value='35438'>Pool Cue Guru</option>"
 +"<option value='35442'>Popcornopolis</option>"
 +"<option value='35443'>PowerScore, Inc.</option>"
 +"<option value='35445'>Prescriptives</option>"
 +"<option value='35469'>PrintMyThing.com </option>"
 +"<option value='35471'>PrintRunner.com</option>"
 +"<option value='35472'>Proboardshop (Active Sports)</option>"
 +"<option value='35479'>ProGolf.com</option>"
 +"<option value='35482'>PromGirl</option>"
 +"<option value='35483'>Pulse Telecom LLC</option>"
 +"<option value='35489'>Pure Collection Ltd.</option>"
 +"<option value='35490'>PurelyGadgets </option>"
 +"<option value='35491'>Puritan's Pride</option>"
 +"<option value='35492'>Quiz Clothing</option>"
 +"<option value='35495'>RadioShack</option>"
 +"<option value='35496'>Rawlings Gear</option>"
 +"<option value='35501'>Real Goods Solar, Inc.</option>"
 +"<option value='35502'>Red Ruby Rouge Ltd</option>"
 +"<option value='35503'>RefurbDepot.com</option>"
 +"<option value='35504'>Register.com</option>"
 +"<option value='35505'>Relax The Back</option>"
 +"<option value='35507'>Ren Ltd.</option>"
 +"<option value='35510'>Right Start</option>"
 +"<option value='35512'>RiseSmart Inc.</option>"
 +"<option value='35513'>Rocawear (eFashion Solutions)</option>"
 +"<option value='35514'>Rochester Clothing UK</option>"
 +"<option value='35519'>Rock Bottom Golf</option>"
 +"<option value='35520'>Rockport.com</option>"
 +"<option value='35522'>Roots Canada Ltd.</option>"
 +"<option value='35530'>Roots USA</option>"
 +"<option value='35531'>SA Test Merchant Venue</option>"
 +"<option value='35536'>Saks Fifth Avenue</option>"
 +"<option value='35537'>Sam Ash Quikship Corp.</option>"
 +"<option value='35542'>Scientific Learning Inc.</option>"
 +"<option value='35543'>SeaBear Smokehouse</option>"
 +"<option value='35557'>Sean John (eFashion Solutions)</option>"
 +"<option value='35563'>Secondlife.com</option>"
 +"<option value='35564'>SecondSpin.com</option>"
 +"<option value='35571'>See's Candies, Inc.</option>"
 +"<option value='35575'>Select Bedding</option>"
 +"<option value='35576'>Select Blinds, Inc.</option>"
 +"<option value='35582'>Select Rugs</option>"
 +"<option value='35583'>Select Specs </option>"
 +"<option value='35587'>Select-A-Ticket</option>"
 +"<option value='35588'>Sensational Beginnings</option>"
 +"<option value='35597'>Sephora.com, Inc.</option>"
 +"<option value='35605'>Shambhala Publications Inc.</option>"
 +"<option value='35606'>Sharper Image</option>"
 +"<option value='35611'>Shoes.co.uk Ltd.</option>"
 +"<option value='35613'>Shop Taste of Home</option>"
 +"<option value='35617'>ShopEcko.com</option>"
 +"<option value='35624'>ShopNBC</option>"
 +"<option value='35627'>ShopPBS.Org</option>"
 +"<option value='35628'>Shutterfly.com</option>"
 +"<option value='35631'>Sierra Club</option>"
 +"<option value='35632'>Sierra Trading Post</option>"
 +"<option value='35635'>Silver Jeans</option>"
 +"<option value='35639'>Simple Floors, Inc</option>"
 +"<option value='35640'>Simply Audiobooks, Inc.</option>"
 +"<option value='35642'>Simply Electronics Ltd</option>"
 +"<option value='35645'>SIRIUS|XM Radio</option>"
 +"<option value='35646'>SkyMall, Inc.</option>"
 +"<option value='35649'>SmartBargains.com</option>"
 +"<option value='35651'>Smarthome, Inc.</option>"
 +"<option value='35658'>SMobile Systems Inc.</option>"
 +"<option value='35660'>Soma.com (Chico's)</option>"
 +"<option value='35662'>South Beach Diet</option>"
 +"<option value='35669'>Speedo International Limited </option>"
 +"<option value='35674'>SpinLife.com, LLC</option>"
 +"<option value='35675'>Spiritual Cinema Circle</option>"
 +"<option value='35677'>SportsAuthority.com</option>"
 +"<option value='35678'>Stacy Adams</option>"
 +"<option value='35682'>Star Struck</option>"
 +"<option value='35687'>Stonewall Kitchen, LLC</option>"
 +"<option value='35689'>Stylebop GmbH</option>"
 +"<option value='35699'>Stylebop Ltd.</option>"
 +"<option value='35701'>SuperJeweler.com</option>"
 +"<option value='35702'>Sweaty Betty</option>"
 +"<option value='35707'>SwissOutpost and Swiss Knife Depot</option>"
 +"<option value='35710'>Swoopo  Entertainment  Shopping, Inc.</option>"
 +"<option value='35711'>Szul.com</option>"
 +"<option value='35713'>Tactics.com</option>"
 +"<option value='35714'>Taymark Anderson's School Spirit</option>"
 +"<option value='35715'>Taymark Giant Party Store</option>"
 +"<option value='35716'>Tea Forte, Inc.</option>"
 +"<option value='35719'>Tech Depot - An Office Depot Co.</option>"
 +"<option value='35720'>textbookx.com (Akademos, Inc.)</option>"
 +"<option value='35721'>The Body Shop</option>"
 +"<option value='35723'>The Childrens Wear Outlet</option>"
 +"<option value='35724'>The Home Marketplace </option>"
 +"<option value='35725'>The Karaoke Channel</option>"
 +"<option value='35727'>The Limited Stores, LLC</option>"
 +"<option value='35728'>The New York Times Home Delivery </option>"
 +"<option value='35729'>The North Face</option>"
 +"<option value='35731'>The Occasions Group</option>"
 +"<option value='35732'>The Popcorn Factory</option>"
 +"<option value='35735'>The Savile Row Company</option>"
 +"<option value='35739'>The White Company</option>"
 +"<option value='35740'>The Wine Messenger</option>"
 +"<option value='35741'>The-House (Active Sports)</option>"
 +"<option value='35743'>TheBabyOutlet</option>"
 +"<option value='35744'>TheNaturalStore.com (drugstore.com)</option>"
 +"<option value='35745'>theOutnet.com</option>"
 +"<option value='35747'>theOutnet.com US</option>"
 +"<option value='35748'>TheTopSecret</option>"
 +"<option value='35750'>Things Remembered</option>"
 +"<option value='35757'>Thomas Lyte</option>"
 +"<option value='35761'>Thompson Cigar</option>"
 +"<option value='35764'>Thrifty Rent-A-Car System, Inc.</option>"
 +"<option value='35767'>TigerDirect (CA)</option>"
 +"<option value='35769'>Tilly's</option>"
 +"<option value='35771'>TimeForMeCatalog.com</option>"
 +"<option value='35773'>TimeLife.com</option>"
 +"<option value='35774'>TM Lewin and Sons Ltd.</option>"
 +"<option value='35779'>TM Lewin and Sons Ltd.</option>"
 +"<option value='35784'>TOPMAN</option>"
 +"<option value='35785'>Topman US</option>"
 +"<option value='35786'>TOPSHOP</option>"
 +"<option value='35787'>Topshop  US</option>"
 +"<option value='35792'>Toshiba - Toshibadirect.com</option>"
 +"<option value='35793'>Total Training Online and DVD </option>"
 +"<option value='35800'>Toys R Us</option>"
 +"<option value='35802'>Toys R Us Canada</option>"
 +"<option value='35804'>Tractor Supply Company</option>"
 +"<option value='35806'>TravelCountry.com</option>"
 +"<option value='35809'>TriCityNewBalance.com </option>"
 +"<option value='35814'>Trueshopping Ltd </option>"
 +"<option value='35815'>Turkishtowels.com LLC</option>"
 +"<option value='35821'>Ultra Diamonds</option>"
 +"<option value='35824'>UncommonGoods</option>"
 +"<option value='35825'>UNIQLO</option>"
 +"<option value='35826'>Universal Calling Inc.</option>"
 +"<option value='35827'>Utrecht Art.com</option>"
 +"<option value='35828'>Value Health Card Inc.</option>"
 +"<option value='35833'>Valueline/PM Co. Inc.</option>"
 +"<option value='35838'>Vans,  VF Outdoor, Inc.</option>"
 +"<option value='35858'>Variety Theater</option>"
 +"<option value='35859'>Vera Bradley Designs, Inc.</option>"
 +"<option value='35860'>Veterans Advantage, Inc.</option>"
 +"<option value='35861'>Vie At Home Ltd.</option>"
 +"<option value='35863'>Villeroy & Boch Tableware</option>"
 +"<option value='35864'>Vision Direct</option>"
 +"<option value='35868'>Vitacost.com</option>"
 +"<option value='35870'>Vital Savings by Aetna</option>"
 +"<option value='35873'>Vitamin World</option>"
 +"<option value='35880'>VitaminMenu</option>"
 +"<option value='35883'>Vitamins Of The Month Inc. </option>"
 +"<option value='35885'>Wahanda</option>"
 +"<option value='35889'>Wal-Mart.com USA, LLC</option>"
 +"<option value='35898'>Wallpaper Direct </option>"
 +"<option value='35900'>Walmart MP3 Music Downloads</option>"
 +"<option value='35906'>Walt Disney Parks and Resorts </option>"
 +"<option value='35907'>Walter Drake (Miles Kimball )</option>"
 +"<option value='35908'>Waterford, Wedgwood,  Royal Doulton</option>"
 +"<option value='35916'>Wavee US, LLC</option>"
 +"<option value='35919'>Webroot Software Inc.</option>"
 +"<option value='35923'>Wellgosh</option>"
 +"<option value='35925'>West Coast Capital </option>"
 +"<option value='35932'>White House Black Market </option>"
 +"<option value='35933'>Wholesale Furniture Brokers</option>"
 +"<option value='35934'>Wholesale Sports</option>"
 +"<option value='35935'>Wicks End</option>"
 +"<option value='35939'>Wilson's Leather</option>"
 +"<option value='35940'>Wind and Weather</option>"
 +"<option value='35941'>wine.com</option>"
 +"<option value='35947'>Wirefly  </option>"
 +"<option value='35953'>Wolfgang's Vault</option>"
 +"<option value='35958'>World of Watches</option>"
 +"<option value='35963'>YOOX.COM</option>"
 +"<option value='35967'>YourCover </option>"
 +"<option value='35968'>Zales</option>"
 +"<option value='35985'>ZIRH</option>"
 +"<option value='35995'>Zuneta Ltd.</option>"


                +'</select>'
               
                

               +'<div style="color:#D51019;font-size:12px;font-weight:bold;">  Option 1: Get Coupons </div>'
                +'<input type="submit" class="button-primary" value="Click for Coupons" id="lscouponlookup"></p>'
                 +'</form>' 
    
				 +'<form><div style="color:#D51019;font-size:12px;font-weight:bold;">  Option 2: Search for Links by Keyword</div>'
                +'<ol><li> Choose a keyword:<input type="text" value="" id="lskeyword"></li>'
                +'<li><input type="submit"  class="button-primary" value="Second, Search Product Links" id="lslookup"></li>'
                +'<li> Add some products from the list below with a click </li></ol></form>'
                +'<form><div style="color:#D51019;font-size:12px;font-weight:bold;"> Option 3: Convert any URL from the Merchant Site </div> '
                +'<ol><li> Type a URL: <input type="text" id="ls-url"></li>'
                +'<li> Select some text to the left for the link.</li>'
                +'<li><input  type="submit"  class="button-primary" value="Third, Create Link" id="lsconvert"> </li></ol>'
                +'<div id="lsans">  <div id="message"></div><div id="lsmore"></div></i></div></form>'
                +'<div id="lsitems"></div>'

 
	+ '</div>'
	+ '<a href="#" id="wpa-toggle" title="Convert LinkShare URLs" class="wpa-open"/></a></div>').appendTo(document.body);
	loadMerchants();


function handleURL(text) {
  if (text.indexOf('http:')>=0){
    jQuery("#message").html('(show url)');  
    
    var wrapAroundMe=tinyMCE.activeEditor.selection.getContent();
    if ((wrapAroundMe.length)<=0){
       wrapAroundMe=' link '; 
    }     

    wrapAroundMe='<a href="'+text+'">'+wrapAroundMe+'</a>'; 
	tinyMCE.activeEditor.selection.setContent(wrapAroundMe);


    } else {
      jQuery("#message").html(text);
    }
 }
	
	
jQuery('#lsconvert').click(function()
   {
    jQuery("#message").html("...One Moment Please...");
    jQuery("#mce_editor_0_link").click();
    var urlInput=jQuery("#ls-url");
    var x=urlInput[0].value;    
    var mer=jQuery("#merchant")[0].value;
      //loadMe=loadMe+mer+"%26murl="+x;
    var loadMe="../wp-admin/admin-ajax.php";
    var params;
    if (mer==''){
        params={url:x,action:'myplugin_linkgenerator_lookup',cookie:document.cookie};
    } else {
        params={mid:mer,url:x,action:'myplugin_linkgenerator_lookup',cookie:document.cookie};
    }
    jQuery("#lsmore").load(loadMe, params, handleURL).hide();
    jQuery("#message").click(function(){jQuery("#lsmore").slideDown('slow');}); 
   return false;
   }
);

jQuery('#lslookup').click(function()
   {
    jQuery("#lsitems").html("...One Moment Please...").css("background","#c0c9cF");
    var temp=jQuery("#lskeyword");
    var x=jQuery("#lskeyword").val();
    var mer=jQuery("#merchant").val();
    var loadMe="../wp-admin/admin-ajax.php";
    var params;
    if (mer==''){
        params={keyword:x,action:'myplugin_linkfinder_lookup',cookie:document.cookie};
    } else {
        params={mid:mer,keyword:x,action:'myplugin_linkfinder_lookup',cookie:document.cookie};
    }
    jQuery("#lsans").append('<div id="lsmore"> &nbsp;</div>')
                    .children("#lsmore").hide();
    jQuery.post(loadMe, params, function(xml)
                     {insertXML(xml);


                     });
   return false;
   }
);


jQuery('#lscouponlookup').click(function()
   {
    jQuery("#lsitems").html("...One Moment Please...").css("background","#c0c9cF");
    var temp=jQuery("#lskeyword");
    var x=jQuery("#lskeyword").val();
    var mer=jQuery("#merchant").val();
    var loadMe="../wp-admin/admin-ajax.php";
    var params;
    if (mer==''){
        params={keyword:x,action:'myplugin_couponfinder_lookup',cookie:document.cookie};
    } else {
        params={mid:mer,keyword:x,action:'myplugin_couponfinder_lookup',cookie:document.cookie};
    }
    jQuery("#lsans").append('<div id="lsmore"> &nbsp;</div>')
                    .children("#lsmore").hide();
    jQuery.post(loadMe, params, function(xml)
                     {insertCouponXML(xml);
     });
   return false;
   }
);

function loadMerchants(){
  var  params={action:'myplugin_merchantfinder_lookup',cookie:document.cookie};
  var loadMe="../wp-admin/admin-ajax.php";
   jQuery.post(loadMe, params, function(xml)
                     {insertMerchantXML(xml);
   });
}
 


 function cutString(x,maxlength){
    if (x.length<maxlength) return x;
    var i=maxlength;
    while ((i>0) && (x.charAt(i)!=' ')){
      i=i-1;
    }
    if (i==0){
       return x.substring(0,maxlength)+'...';
    }
    return x.substring(0,i)+'...';
 }

 function itemToImage(i){
    var imgSrc=i.find("imageurl").text();
    var link=i.find("linkurl").text();
    return '<a href="' + link + '" target="_blank">' + '<img src="' + imgSrc
                                + '" height="45px"/></a>';
 }

function itemToClickFunction(i){
    var txt=itemToImage(i);
    return function(){i
         tinyMCE.focus(true);
         tinyMCE.activeEditor.selection.setContent(txt);
    }
 }




 
function bigger(){
   jQuery('#lsmore').slideDown('slow');
   return false;
}

function itemToTableRow(i){
var im=itemToImage(i);
var url=i.find("linkurl").text();
var nm=i.find("productname").text();
var mer=i.find("merchantname").text();
var textClick='<a href="'+url+'">'+nm+'</a>';
 return '<tr>'
  + '<td class="wpa-prod-img">' + im + '</td>'
  + '<td class="wpa-prod-title" ><a href="' + url + '" target="_blank">' + nm + '</a>'
  + 'Price: $'+ i.find("price").text() + '<br><div class="wpa-prod-desc">'
  +  cutString(i.find("long").text(),70)+'</div>'
  + '<br><b> From: '+mer
  + '</b><br><ul style="display:inline;list-style-type:none;"> '
  + '<li onclick="addImage(\''+escape(im)+'\');" style="display:inline;cursor:pointer;color:#D51019;">&#149; add image </li>'
  + '<li onclick="addImage(\''+escape(textClick)+'\');" style="display:inline;cursor:pointer;color:#D51019;" >&#149; add text </li>'
  + '</ul></td></tr>';
 }
 
 
var months=["BLANK","Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];

function modDate(d){
   var a1=d.indexOf('-')+1;
   var a2=d.indexOf('-',a1);
   if ((a1<=0) || (a2<=0)) {
     return d;
   }
   var dd=d.substring(a1,a2);
   var ans=months[parseInt(dd)];
   ans+=' ';
   ans+=d.substring(a2+1);
   ans+=' ';
   ans+=d.substring(0,a1-1);
   return ans;
}
	


function itemToCouponTableRow(i){
var url=i.find("clickurl").text();
var nm=i.find("offerdescription").text();
var mer=i.find("advertisername").text();
var end=i.find("offerenddate").text();
var sta=i.find("offerstartdate").text();

sta=modDate(sta);
end=modDate(end);


var textClick='<a href="'+url+'">'+nm+'</a>';
 return '<tr>'
  
  + '<td class="wpa-prod-title" ><a href="' + url + '" target="_blank">' + nm + '</a>'
  + '<br><b> From: '+mer
  + '</b>'
  + '<br><b> Start Date: '+sta+' End Date:'+end
  + '</b>'
   + '<br> Link: '+url
 
  
  +'<ul style="display:inline;list-style-type:none;"> '
   + '<li onclick="addImage(\''+escape(textClick)+'\');" style="display:inline;cursor:pointer;color:#D51019;" >&#149; add text </li>'
  + '</ul></td></tr>';
 }





function itemToTableRowDOM(i){
var im=itemToImage(i);
var url=i.find("linkurl").text();
var nm=i.find("productname").text();
var imDOM=jQuery.html(im).wrap('td').addClass('wpa-prod-img');
var box=jQuery.html('<a href="' + url + '" target="_blank">' + nm + '</a>'
  + 'Price: $'+ i.find("price").text() + '<br><div class="wpa-prod-desc">'
  +  cutString(i.find("long").text(),70)
  + '</div><br>');
var add=jQuery.html('(add image)').wrap("div").click(itemToClickFunction(i));
var box2=box.html("td").append(box).append(add);
return jQuery.html("tr").append(imDom).append(box2);
 }

function itemToMerchantDOM(i){
  var mid=i.find("mid").text();
  var nm=i.find("merchantname").text();
  var x="<option value='"+mid+"'>"+nm+"</option>";
  return x;
 }





 
 function findLeftmostOpeningPosition(){
   var x=jQuery('#submitpost');
   if (x.length){
      return x.offset().left; 
   } 

   x=jQuery('#moremeta');
   if (x.length){
      return x.offset().left; 
   } 

   x=jQuery('#submitpage');
   if (x.length){
      return x.offset().left;
   }

  return 400;
}
 
 function handleError(xml){
	  var val='<div class="lookup-error"> No items found. <br>';
	  jQuery('Errors',xml).each(function(i){
	       val+=jQuery(this).find("ErrorText").text();
	       val+='(#';
	       val+=jQuery(this).find("ErrorID").text();
	       val+=')';
	     });
	   val+='</div>';
	   jQuery('#lsitems').html(val);
	}

function insertXML(xml){
	   var items=jQuery('item',xml);
	   if (items.length==0){
	     handleError(xml);
	   } else {
	   var val='<table class="wpa-prod"><tbody>';
	   items.each(function(i){
	      var x=itemToTableRow(jQuery(this));
	      val+=x;
	    });
	    val+='</tbody></table>';
	   jQuery('#lsitems').html(val);
	   jQuery('.wpa-prod tr:nth-child(odd)').css("background",'#E0E9EF');
	  }
	}

function insertCouponXML(xml){
	   var items=jQuery('link',xml);
	   if (items.length==0){
	     handleError(xml);
	   } else {
	   var val='<table class="wpa-prod"><tbody>';
	   items.each(function(i){
	      var x=itemToCouponTableRow(jQuery(this));
	      val+=x;
	    });
	    val+='</tbody></table>';
	   jQuery('#lsitems').html(val);
	   jQuery('.wpa-prod tr:nth-child(odd)').css("background",'#E0E9EF');
	  }
	}

function insertMerchantXML(xml){
	   var items=jQuery('merchant',xml);
	   if (items.length==0){
	     handleError(xml);
	   } else {
	   var val='';
	   items.each(function(i){
	      var x=itemToMerchantDOM(jQuery(this));
	      val+=x;
	    });
	   jQuery('#merchant').html(val);
	  }
	}
	

  jQuery('#wpa-toggle').toggle(function() { var left=findLeftmostOpeningPosition();
          var wid=jQuery(document).width()-left;  
         jQuery('#wpa').css('width', jQuery(document).width() - findLeftmostOpeningPosition());
         jQuery('#wpa').animate({opacity: 'toggle'},'normal');
        // jQuery(this).removeClass('wpa-open').addClass('wpa-close');
        },
     function() {
         jQuery('#wpa-prod-img-preview').remove();
         jQuery('#wpa').animate({opacity: 'toggle'},'normal');
        // jQuery(this).removeClass('wpa-close').addClass('wpa-open');
       }
    );


	 
//	jQuery('#wpa-container').css('top',jQuery('#submenu').offset().top + jQuery('#submenu').height() + 4)
//		.css('height',jQuery(document).height() - (jQuery('#submenu').offset().top + jQuery('#submenu').height()));

	jQuery(window).bind('resize',function() {
		jQuery('#wpa').css('width', jQuery(document).width() - 	findLeftmostOpeningPosition());
        //jQuery('#wpa-container').css('top',jQuery('#submenu').offset().top + jQuery('#submenu').height() + 4).css('height',jQuery(document).height() - (jQuery('#submenu').offset().top + jQuery('#submenu').height()));
});
	jQuery('#wpa-go').bind('click',wpa2().exec);
	jQuery('#wpa form').bind('submit',wpa2().exec);

	


})



